ప్రమాణీకరణ
ఒక API కీని బేరర్ టోకెన్గా పంపండి. ఈ ఎండ్పాయింట్ స్పెసిఫికేషన్లో నిర్దిష్ట అనుమతిని పేర్కొనలేదు, కాబట్టి ఊహించడం కంటే మీ కీకి అవసరమైన కనిష్ట అనుమతిని ఇవ్వండి మరియు ప్రతిస్పందనను తనిఖీ చేయండి.
మీ సంస్థ ఐడీ ఎక్కడ ఉందో అక్కడ
ఈ ఎండ్పాయింట్ JSON బాడీలో ఫీల్డ్గా org_id ని తీసుకుంటుంది.
మీ సంస్థ ఐడి (organisation id) మీ డాష్బోర్డ్లోని API కీస్ స్క్రీన్పై, కీ పక్కనే ఉంటుంది. మీరు చేసే ప్రతి కాల్లోనూ ఇదే ఐడి ఉపయోగించబడుతుంది.
ప్రయత్నించండి
కోణీయ బ్రాకెట్లలో ఉన్న దేన్నైనా మీ స్వంత విలువలతో భర్తీ చేయండి, మరియు కీ ప్లేస్హోల్డర్ను మీ డాష్బోర్డ్ నుండి తీసుకున్న కీతో భర్తీ చేయండి.
curl -X POST https://api.zinndigital.com/v1/campaigns/templates \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "name": <string>, "subject": <string>, "body": <string> }'సైన్ ఇన్ చేశారా? మీ డ్యాష్బోర్డ్లోని API కాన్సోల్ మీ అసలైన సంస్థ ID మరియు మీ స్వంత కీని నింపుతుంది, అలాగే మీరు అసలైన ప్రతిస్పందనను చూడటానికి లైవ్ API ద్వారా ఆభ్యర్థనను రన్ చేస్తుంది. ఈ ఎండ్పాయింట్ను API కన్సోల్లో తెరిచండి
వివరాలు
The copy enters the auto-translation lifecycle in the same call, so a template is never English-only even for an hour. An unknown magic tag is refused here rather than at send time, because a typo found while sending has no undo.
అభ్యర్థన బాడీ
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
fallbacks | boolean | కాదు | Preview only. Render with NO merge values, so every tag falls back and the author reads what a customer we know nothing about reads. It exists because a normal preview substitut… |
name | string | అవును | — |
subject | string | అవును | — |
body | string | అవును | — |
purpose | string<marketing, transactional> | కాదు | — |
channels | string<email, in_app, slack, telegram>[] | కాదు | — |
org_id | string | కాదు | — |
స్పందన
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
id | string | అవును | — |
org_id | string | అవును | — |
name | string | అవును | — |
purpose | string<marketing, transactional> | అవును | — |
subject | string | అవును | — |
body | string | అవును | — |
channels | string[] | అవును | — |
archived | boolean | అవును | — |
created_at | string | అవును | — |
updated_at | string | అవును | — |
ఈ ఎండ్పాయింట్ తిరిగి ఇవ్వగల లోపాలు
401 · 403 · 422